namespace IrrlichtNetSwig
{
    public partial class CMatrix4f
    {
        public static CMatrix4f operator +(CMatrix4f x, CMatrix4f y)
        {
            return x.add(y);
        }
        public static CMatrix4f operator -(CMatrix4f x, CMatrix4f y)
        {
            return x.sub(y);
        }
        public static CMatrix4f operator *(CMatrix4f x, CMatrix4f y)
        {
            return x.mul(y);
        }
        public static CMatrix4f operator *(CMatrix4f x, float y)
        {
            return x.mul(y);
        }
        public float this[uint index]
        {
            get { return getValue(index); }
            set{setValue(index, value);}
        }
    }
}